
<?php
/// Powered by Evilnapsis go to http://evilnapsis.com
include "../fpdf/fpdf.php";
require "../../config/Conexion.php"; 
$hora= date('h:i:s A');

$idventa=$_GET['id']; 
  
        $sql = "SELECT c.idventa,c.nrocorrelativo,c.nroguia,p.nombre as cliente,c.total_venta,c.tipo_pago,date(c.fecha_hora)as fecha,time(c.created_at)as hora,c.estado_venta,p.numero_documento,
                       c.total_venta,c.total_igv,c.total_gravado,u.nombre as usuario, c.tipo_servicio,c.total_servicio,c.total_envio 
             FROM venta c 
             JOIN persona p ON c.idpersona=p.idpersona
             JOIN usuario u ON c.idusuario=u.idusuario
             WHERE c.idventa='$idventa'";
            $fila = ejecutarConsultaSimpleFila($sql);
            $nro = $fila['nrocorrelativo'];
            $cliente = $fila['cliente'];
            $fecha = $fila['fecha'];
            $hora = $fila['hora'];
            $dni = $fila['numero_documento'];
            $total_venta = $fila['total_venta'];
            $total_igv = $fila['total_igv'];
            $total_gravado = $fila['total_gravado'];
            $usuario = $fila['usuario'];
            $tipo = $fila['tipo_pago'];
            $tipo_servicio = $fila['tipo_servicio'];
            $total_servicio = $fila['total_servicio'];
            $total_envio = $fila['total_envio'];

            if($tipo == '1'){
            $metodo="Efectivo";
            }else{
            $metodo="Transferencia";
            }
            if($tipo_servicio == '1'){
            $servicio="Estampado";
            }else if($tipo_servicio == '2'){
            $servicio="Bordado";
            }else{
            $servicio="S/N";    
            }
            

$pdf = new FPDF('P','mm',array(80,160)); // Tama単o tickt 80mm x 150 mm (largo aprox)
$pdf->AddPage();
//$pdf->Image('../../files/logo1.png',14,10,65,24);
//$pdf->Image('../../files/logo1.png', '', '', 50, 20, '', '', 'T', false, 300, '', false, false, 0, false, false, false);
$pdf->Image('../../files/logo1.png', 18, 10, 50, 24);

//$pdf->Image('../../files/logo2.png',21,10,41,15);
$pdf->setY(30);
$pdf->SetFont('Arial','B',6);
$pdf->Cell(60,4,'AV AVIACION 476 INT 316 LA VICTORIA',0,1,'C');
$pdf->Cell(60,4,'TELEFONOS: 998188662 - 981003083 - 970943687',0,1,'C');
$pdf->SetFont('arial','',5);
$pdf->Cell(60,5,'FECHA:'.$fecha.' HORA:'.$hora,0,1,'C');
//DATOS FACTURA        
$pdf->SetFont('ARIAL','B',7);
$pdf->Cell(60,4,'TICKET VENTA',0,1,'C');
$pdf->Cell(60,2,'B001-'.$nro,0,1,'C');
//$pdf->Image('QR.png',30,44,20, 20);

$pdf->Ln(2);

$pdf->SetFont('ARIAL','B',7);
$pdf->setX(5);
$pdf->Cell(60,4,$cliente,0,1,'');
$pdf->setX(5);
$pdf->Cell(60,4,'DNI:'.$dni,0,1,'');

$pdf->SetFont('Helvetica', 'B', 5);
$pdf->setX(5);
$pdf->Cell(20, 10, '[DESCRIPCION]', 0);
$pdf->Cell(17, 10, 'CANTIDAD',0,0,0);
$pdf->Cell(19, 10, '[PRECIO]',0,0,0);
$pdf->Cell(8, 10, 'TOTAL',0,0,'R');
$pdf->Ln(7);
$pdf->setX(5);
$pdf->Cell(70,0,'','T');
$pdf->Ln(2);
 
        $detalle_venta = "SELECT d.precio,d.cantidad,d.idalmacen_central,p.nombre as producto,t.nombre as talla,r.nombre as idcolor,o.nombre as color1,a.cantidad as stock,a.idproducto  
             FROM detalle_venta d 
             JOIN almacen_central a ON d.idalmacen_central=a.idalmacen_central
             JOIN producto p ON a.idproducto=p.idproducto
             JOIN talla t ON a.idtalla=t.idtalla
             JOIN combinacion_color c ON a.idcombinacion_color=c.idcombinacion_color
             JOIN color r ON c.idcolor=r.idcolor 
             JOIN color o ON c.color1=o.idcolor 
            WHERE d.idventa='$idventa'";
        $fila = ejecutarConsulta($detalle_venta);
        $i =1;
        $suma=0;
        foreach($fila as $pro){

         $suma=$pro['precio'] * $pro['cantidad'];  

            $pdf->SetFont('arial','',5); 
            
        $pdf->setX(5);
        $pdf->Cell(35,$i,substr($pro["producto"], 0,12));
        $pdf->setX(28);
        $pdf->Cell(35,$i,$pro["cantidad"] );
        $pdf->setX(43);
        $pdf->Cell(35,$i,number_format($pro["precio"],2) );
        $pdf->setX(62);
        $pdf->Cell(40,$i, number_format($suma,2,".",","));

 $i+=6;

 }
 
 $textypos=$i+5;
// SUMATORIO DE LOS PRODUCTOS Y EL IVA
 $pdf->Ln(1);
 $pdf->setX(5);
 $pdf->Ln(2);   
 $pdf->Cell(25, $textypos, ''.$servicio, 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->Cell(15, $textypos, number_format($total_servicio, 2, ',', ' '),0,0,'R');
 $pdf->Ln(3);    
 $pdf->Cell(25, $textypos, 'TOTAL ENVIO: S/', 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->Cell(15, $textypos, number_format($total_envio, 2, ',', ' '),0,0,'R');

 $pdf->Ln(1);
 $pdf->setX(5);
 $pdf->Ln(2);   
 $pdf->Cell(25, $textypos, 'OP.GRAVADAS: S/', 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->Cell(15, $textypos, number_format($total_gravado, 2, ',', ' '),0,0,'R');
 $pdf->Ln(3);    
 $pdf->Cell(25, $textypos, 'IGV: S/', 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->Cell(15, $textypos, number_format($total_igv, 2, ',', ' '),0,0,'R');

 $pdf->SetFont('Helvetica','B',7);

 $pdf->Ln(3);
 $pdf->Cell(25, $textypos, ''.$metodo, 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->SetFont('Helvetica','B',7);
 $pdf->Cell(15, $textypos, number_format($total_venta, 2, ',', ' '),0,0,'R');

 $pdf->Ln(3);    
 $pdf->Cell(25, $textypos, 'IMPORTE TOTAL', 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->SetFont('Helvetica','B',7);
 $pdf->Cell(15, $textypos, number_format($total_venta, 2, ',', ' '),0,0,'R');

 $pdf->Ln(3);    
 $pdf->Cell(25, $textypos, 'COBRADO', 0);    
 $pdf->Cell(20, $textypos, '', 0);
 $pdf->SetFont('Helvetica','B',7);
 $pdf->Cell(15, $textypos, $usuario,0,0,'R');
 


$pdf->SetFont('Helvetica','',3);

$pdf->Ln(7);
$pdf->setX(20);
$pdf->Cell(60,$textypos,'CONSERVE ESTE COMPROBANTE EN CASO DE RECLAMO O DEVOLUCION!',0);

$pdf->SetFont('Helvetica','B',6);

$pdf->Ln(4);
$pdf->setX(10);
$pdf->Cell(60,$textypos,'!GRACIAS POR SU COMPRA VUELVA PRONTO!',0,2,'C');


 
$pdf->Output('boleta.pdf','i');
?>